Debian Bug report logs - #387002
ntp/ntpdate: Inaccurate LSB-header in init.d scripts

version graph

Package: ntp; Maintainer for ntp is Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>; Source for ntp is src:ntp.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Mon, 11 Sep 2006 16:03:06 UTC

Severity: normal

Tags: patch

Found in version ntp/1:4.2.2+dfsg.2-1

Fixed in version ntp/1:4.2.2+dfsg.2-2

Done: Peter Eisentraut <petere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#387002; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: ntp/ntpdate: Inaccurate LSB-header in init.d scripts
Date: Mon, 11 Sep 2006 17:54:48 +0200
Package: ntp
Version: 1:4.2.2+dfsg.2-1
Tags:    patch

The LSB header for ntp is inaccurate and slightly incorrect.  It
currently look like this:

  ### BEGIN INIT INFO
  # Provides:        $time
  # Required-Start:  $network
  # Required-Stop:   $network
  # Should-Start:    ntpdate
  # Should-Stop:     ntpdate
  # Default-Start:   S 1 2 3 4 5
  # Default-Stop:    0 6
  ### END INIT INFO

It should not start in the S runlevel, should stop in runlevel 1, and
should not provide a facility name $time, but instead provide 'ntp'.
I discovered this while testing a dependency based boot system.  It
should probably also start after syslog and all file systems are
mounted.  Please change it to look like this:

  ### BEGIN INIT INFO
  # Provides:        ntp
  # Required-Start:  $network $remote_fs $syslog
  # Required-Stop:   $network $remote_fs $syslog
  # Should-Start:    ntpdate
  # Should-Stop:     ntpdate
  # Default-Start:   2 3 4 5
  # Default-Stop:    0 1 6
  ### END INIT INFO

Similar, the header for ntpdate is slightly inaccurate.  It current
look like this:

  ### BEGIN INIT INFO
  # Provides:        $time
  # Required-Start:  $remote_fs $network hwclock
  # Required-Stop:   $remote_fs $network hwclock
  # Default-Start:   S 1 2 3 4 5
  # Default-Stop:    0 6
  ### END INIT INFO

It should not provide the facility name $time, and only be used in
runlevel S.  Please change it to look like this:

  ### BEGIN INIT INFO
  # Provides:        ntpdate
  # Required-Start:  $network $remote_fs hwclock
  # Required-Stop:
  # Default-Start:   S
  # Default-Stop:
  ### END INIT INFO

Friendly,
-- 
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#387002; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <peter_e@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 387002@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <peter_e@gmx.net>
To: Petter Reinholdtsen <pere@hungry.com>, 387002@bugs.debian.org
Subject: Re: [pkg-ntp-maintainers] Bug#387002: ntp/ntpdate: Inaccurate LSB-header in init.d scripts
Date: Mon, 11 Sep 2006 19:18:21 +0200
Petter Reinholdtsen wrote:
> It should probably also start after syslog and all file systems are
> mounted.

What is the general strategy with regard to $local_fs and $remote_fs?  
We don't know the partition setup, so it seems that just about anything 
would require $remote_fs.  Also, does $remote_fs imply $local_fs?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#387002; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 387002@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Peter Eisentraut <peter_e@gmx.net>, 387002@bugs.debian.org
Subject: Re: [pkg-ntp-maintainers] Bug#387002: ntp/ntpdate: Inaccurate LSB-header in init.d scripts
Date: Mon, 11 Sep 2006 19:23:56 +0200
[Peter Eisentraut]
> What is the general strategy with regard to $local_fs and $remote_fs?  
> We don't know the partition setup, so it seems that just about anything 
> would require $remote_fs.  Also, does $remote_fs imply $local_fs?

In short, those that require /usr/ mounted should depend on
$remote_fs, and those requring /var/ but not /usr/ mounted should
depend on $local_fs.  Yes, $remote_fs imply $local_fs.  If I forgot to
reduce both to only $remote_fs, I did a mistake.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#387002; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 387002@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Petter Reinholdtsen <pere@hungry.com>, 387002@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: [pkg-ntp-maintainers] Bug#387002: ntp/ntpdate: Inaccurate LSB-header in init.d scripts
Date: Mon, 11 Sep 2006 19:26:14 +0200
On Mon, Sep 11, 2006 at 05:54:48PM +0200, Petter Reinholdtsen wrote:
> 
> Package: ntp
> Version: 1:4.2.2+dfsg.2-1
> Tags:    patch
> 
> The LSB header for ntp is inaccurate and slightly incorrect.  It
> currently look like this:
> 
>   ### BEGIN INIT INFO
>   # Provides:        $time
>   # Required-Start:  $network
>   # Required-Stop:   $network
>   # Should-Start:    ntpdate
>   # Should-Stop:     ntpdate
>   # Default-Start:   S 1 2 3 4 5
>   # Default-Stop:    0 6
>   ### END INIT INFO
> 
> It should not start in the S runlevel, should stop in runlevel 1, and
> should not provide a facility name $time, but instead provide 'ntp'.
> I discovered this while testing a dependency based boot system.  It
> should probably also start after syslog and all file systems are
> mounted.  Please change it to look like this:

This is both in the LSB:
http://refspecs.freestandards.org/LSB_3.1.0/LSB-Core-generic/facilname.html
and the debian wiki: http://wiki.debian.org/LSBInitScripts

   $time

   the system time has been set, for example by using a network-based
   time program such as ntp or rdate, or via the hardware Real Time
   Clock.

Although, I'm not really sure that ntpd should provide
this if it doesn't doesn't set the clock when the script
finishes.  But I currently can't see an argument for
ntpdate not providing it.  Is something else providing
this?

I'm also not sure if network is still needed during stop.
But the rest looks good.


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#387002; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 387002@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Kurt Roeckx <kurt@roeckx.be>
Cc: 387002@bugs.debian.org
Subject: Re: Bug#387002: ntp/ntpdate: Inaccurate LSB-header in init.d scripts
Date: Mon, 11 Sep 2006 20:32:16 +0200
[Kurt Roeckx]
> Although, I'm not really sure that ntpd should provide this if it
> doesn't doesn't set the clock when the script finishes.  But I
> currently can't see an argument for ntpdate not providing it.  Is
> something else providing this?

No script should list the facilities in the provides section of the
header.  The facilities are mapped elsewhere, for insserv it is done
in /etc/insserv.conf.

> I'm also not sure if network is still needed during stop.

Good point.  Just drop it if it isn't needed.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#387002; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <peter_e@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 387002@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <peter_e@gmx.net>
To: Kurt Roeckx <kurt@roeckx.be>, 387002@bugs.debian.org
Cc: Petter Reinholdtsen <pere@hungry.com>
Subject: Re: Bug#387002: [pkg-ntp-maintainers] Bug#387002: ntp/ntpdate: Inaccurate LSB-header in init.d scripts
Date: Mon, 11 Sep 2006 21:33:00 +0200
Kurt Roeckx wrote:
> I'm also not sure if network is still needed during stop.

I suppose you could really rip out the network from underneath any 
network-enabled service and get away with it, and the same could apply 
to most init script dependencies.  But I think the semantic should be 
that the daemon should provide proper service until it is actually shut 
down itself.



Tags added: pending Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 387002-close@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: 387002-close@bugs.debian.org
Subject: Bug#387002: fixed in ntp 1:4.2.2+dfsg.2-2
Date: Sat, 16 Sep 2006 09:23:37 -0700
Source: ntp
Source-Version: 1:4.2.2+dfsg.2-2

We believe that the bug you reported is fixed in the latest version of
ntp, which is due to be installed in the Debian FTP archive:

ntp-doc_4.2.2+dfsg.2-2_all.deb
  to pool/main/n/ntp/ntp-doc_4.2.2+dfsg.2-2_all.deb
ntp-refclock_4.2.2+dfsg.2-2_all.deb
  to pool/main/n/ntp/ntp-refclock_4.2.2+dfsg.2-2_all.deb
ntp-simple_4.2.2+dfsg.2-2_all.deb
  to pool/main/n/ntp/ntp-simple_4.2.2+dfsg.2-2_all.deb
ntp_4.2.2+dfsg.2-2.diff.gz
  to pool/main/n/ntp/ntp_4.2.2+dfsg.2-2.diff.gz
ntp_4.2.2+dfsg.2-2.dsc
  to pool/main/n/ntp/ntp_4.2.2+dfsg.2-2.dsc
ntp_4.2.2+dfsg.2-2_i386.deb
  to pool/main/n/ntp/ntp_4.2.2+dfsg.2-2_i386.deb
ntpdate_4.2.2+dfsg.2-2_i386.deb
  to pool/main/n/ntp/ntpdate_4.2.2+dfsg.2-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 387002@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Eisentraut <petere@debian.org> (supplier of updated ntp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 15 Sep 2006 11:24:09 +0200
Source: ntp
Binary: ntp-simple ntp-refclock ntp-doc ntpdate ntp
Architecture: source all i386
Version: 1:4.2.2+dfsg.2-2
Distribution: unstable
Urgency: medium
Maintainer: Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>
Changed-By: Peter Eisentraut <petere@debian.org>
Description: 
 ntp        - Network Time Protocol daemon and utility programs
 ntp-doc    - Network Time Protocol documentation
 ntp-refclock - transition package
 ntp-simple - transition package
 ntpdate    - client for setting system time from NTP servers
Closes: 56499 245338 305864 312576 321759 375280 382311 382543 383212 383666 384857 386323 387002
Changes: 
 ntp (1:4.2.2+dfsg.2-2) unstable; urgency=medium
 .
   [ Branden Robinson ]
   * Soften ntp binary package's Conflicts and Replaces relationships with
     ntp-{refclock,server,simple} so that they are unversioned; a versioning
     expression is unnecessary as none of these exist now as dummy packages
     (and do not need to, as all depended directly or transitively on ntp
     itself).  State that ntp Provides the three merged packages, so that
     packages depending on them are not spuriously blocked from upgrading
     before their dependencies are manually changed. (closes: #383212)
 .
   [ Peter Eisentraut ]
   * Updated README.Debian's and package descriptions, reflecting that
     ntpdate is no longer necessary when ntp is installed
   * npdate is no longer started from an init script but instead by ifup
     (closes: #56499, #245338, #312576)
   * Run ntpdate from ifup in the background (closes: #321759, #375280,
     #382543)
   * Cleaned out package relationships with long-obsolete packages
   * Updated standards version
   * Also parse peer lines in ntp.conf from ntpdate.default (closes: #382311)
   * Added pointer in ntpdate.default where to find ntp.conf (closes: #386323)
   * Updated logcheck rules (closes: #305864)
 .
   [ Julien BLACHE ]
   * debian/control:
     + Add ntp-refclock and ntp-simple transition packages (closes: #384857).
   * debian/ntp.init:
     + Remove adduser call from initscript (closes: #383666).
 .
   [ Petter Reinholdtsen ]
   * Fixed init script LSB header dependency information (closes: #387002)
Files: 
 9553a9b41ba5f5c3ba174ac5592efc1b 841 net optional ntp_4.2.2+dfsg.2-2.dsc
 6b9241afc047363e3bcf11b25af4e561 173994 net optional ntp_4.2.2+dfsg.2-2.diff.gz
 f986aa4ae857f41a6bce469feed07815 891756 doc optional ntp-doc_4.2.2+dfsg.2-2_all.deb
 c44b4f1dadf7ed82bc43ffdc34068c83 27128 net optional ntp-simple_4.2.2+dfsg.2-2_all.deb
 1fefd26e9fc228e9e6d6c6e39f64c4ee 27130 net optional ntp-refclock_4.2.2+dfsg.2-2_all.deb
 f2fc5f5531c9c76187510f94de6d0b11 321010 net optional ntp_4.2.2+dfsg.2-2_i386.deb
 0ff308d22b0dda454023610ce77e7520 55902 net optional ntpdate_4.2.2+dfsg.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFCnPCTTx8oVVPtMYRAoMkAJ9matJyyhGLgERFVxqvfmSka+TWLQCdE0fX
o7h51A6c/UagHkuditkDyEM=
=uO5N
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 09:09:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:33:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.